Skip to main content
GET
Get Swap transaction

Authorizations

apiKey
string
query
required

Headers

authorization
string
required

A valid customer authentication token in the format 'Bearer [auth token]'.

Path Parameters

transactionId
string
required

A valid Swap transaction ID.

Response

Successful response — Swap Transaction

id
string

Unique identifier for the object.

Example:

"9020fd02-42ac-497f-8b5f-41fdf4dd0b1d"

createdAt
string

Time at which the object was created. Returned as an ISO 8601 string.

Example:

"2024-02-23T00:58:26.577Z"

updatedAt
string

Time at which the object was last updated. Returned as an ISO 8601 string.

Example:

"2024-02-23T00:58:26.577Z"

baseCurrencyAmount
string

A positive string number representing how much crypto the user wants to swap.

Example:

"1.123"

quoteCurrencyAmount
string

A positive string number representing the amount of cryptocurrency the customer will receive.

Example:

"0.0564"

feeAmount
string

A positive number representing the fee for the transaction.

Example:

"0.0002"

quoteCurrency
object

Crypto the customer wants to get.

baseCurrency
object

Crypto currency the customer wants to swap.

customerId
string

The identifier of the customer the transaction is associated with.

Example:

"3b97352d-a9c2-4786-afe7-e7d74e0a8ad7"

extraFeeAmount
string

A positive number string representing your extra fee for the transaction. It is added to baseCurrencyAmount, feeAmount and networkFeeAmount when the swap is executed.

Example:

"0.0000005"

networkFeeAmount
string

A positive number string representing the network fee for the transaction. It is added to baseCurrencyAmount, feeAmount and extraFeeAmount when the swap is executed.

Example:

"0.00039"

status
enum<string>

The transaction's status.

Available options:
completed,
failed,
waitingForDepositAddressGeneration,
waitingForDeposit,
executingSwap,
reQuoteRequired,
screeningWalletAddress,
frozen
Example:

"completed"

depositHash
string | null

The cryptocurrency transaction identifier representing the transfer from the customer's wallet to MoonPay's wallet. Set when the deposit has been executed and received.

Example:

8.377408903480862e+76

transactionHash
string | null

The cryptocurrency transaction identifier representing the transfer from the MoonPay's wallet to the customer's wallet. Set when the deposit has been executed and sent.

Example:

8.377408903480862e+76

refundTransactionHash
string | null

Same for transactionHash but a refund.

Example:

8.377408903480862e+76